Bug 1569227 - sudo with sssd/ldap doesn't work with 'insults' in sudoOption entry
Summary: sudo with sssd/ldap doesn't work with 'insults' in sudoOption entry
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sudo
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 20:11 UTC by Leonardo Dias
Modified: 2018-08-06 12:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1138758
Environment:
Last Closed: 2018-08-06 12:45:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Leonardo Dias 2018-04-18 20:11:44 UTC
+++ This bug was initially created as a clone of Bug #1138758 +++

Description of problem:
sudo with sssd/ldap doesn't work with 'insults' in sudoOption entry.

dn: cn=defaults,ou=Sudoers,dc=my-domain,dc=com
objectClass: top
objectClass: sudoRole
sudoOption: !requiretty
sudoOption: authenticate
sudoOption: insults
cn: defaults

dn: cn=rule1,ou=Sudoers,dc=my-domain,dc=com
objectClass: top
objectClass: sudoRole
cn: rule1
sudoUser: userallowed
sudoCommand: ALL
sudoHost: ALL
sudoHost: test.example.com

[test]su - userallowed
Last login: Fri Sep  5 10:44:49 EDT 2014 on pts/0
su: warning: cannot change directory to /home/userallowed: No such file or directory
-bash-4.2$ sudo true
[sudo] password for userallowed: 
Sorry, try again.


Should should print some 'insults' instead of 'Sorry, try again.' Some examples are here: http://www.cnx-software.com/2012/06/05/how-to-let-sudo-insult-you-when-you-type-the-wrong-password/

This option looks like 'for fun' for me but we have this option in man page and it should work.

Version-Release number of selected component (if applicable):
sudo-1.8.6p7-11.el7

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Daniel Kopeček on 2015-02-24 09:12:17 EST ---

This is because we don't configure sudo to include insults at compile time:

configure:4994: checking whether to include insults
configure:5021: result: no

This is fixable by using --with-insults=yes. Do we really need this? I don't think so, since there's no customer case attached to this BZ... If there will be demand for this feature, we can easily fix it. Closing for now.

--- Additional comment from David Spurek on 2015-02-24 09:16:51 EST ---

Ok, so what about remove this option from man page?

--- Additional comment from Daniel Kopeček on 2015-02-24 09:24:34 EST ---

Probably not worth the effort, there are more serious bugs to work on. The option is there and it's accepted by sudo, there are just no insults in the database. Maybe some of our customers will read the man page, see the option there, and file a BZ demanding some insults to be included... If we hide it, they may never discover this cool option.

But if you insist, I'll fix it either way :]

--- Additional comment from Leonardo Dias on 2018-04-18 16:09:53 EDT ---

(In reply to Daniel Kopeček from comment #3)
> Probably not worth the effort, there are more serious bugs to work on. The
> option is there and it's accepted by sudo, there are just no insults in the
> database. Maybe some of our customers will read the man page, see the option
> there, and file a BZ demanding some insults to be included... If we hide it,
> they may never discover this cool option.
> 
> But if you insist, I'll fix it either way :]

I need this very much. do it Please !!


Note You need to log in before you can comment on or make changes to this bug.